Package org.eclipse.gef.dot.internal.ui.conversion

# Class Dot2ZestGraphCopier

java.lang.Object
org.eclipse.gef.graph.GraphCopier
org.eclipse.gef.dot.internal.ui.conversion.Dot2ZestGraphCopier

public class Dot2ZestGraphCopier extends org.eclipse.gef.graph.GraphCopier

## Constructor Summary

Constructors
Constructor
Description
`Dot2ZestGraphCopier()`
`Dot2ZestGraphCopier(Dot2ZestAttributesConverter dot2ZestAttributesConverter)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.gef.graph.Graph`
`copy(org.eclipse.gef.graph.Graph dotGraph)`
`Dot2ZestAttributesConverter`
`getAttributeCopier()`
`protected org.eclipse.gef.graph.Node`
`getDotNode(org.eclipse.gef.graph.Node zestNode)`
`protected void`
`processCluster(org.eclipse.gef.graph.Node dotNode, org.eclipse.gef.graph.Node zestNode)`
`protected void`
`processNestedGraph(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)`
`protected void`
`processSubgraph(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)`
`protected void`
`processZestNode(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)`

### Methods inherited from class org.eclipse.gef.graph.GraphCopier

`clearInputToOutputMaps, copyAttributes, copyEdge, copyEdges, copyGraph, copyNode, copyNodes, getInputToOutputEdgeMap, getInputToOutputNodeMap, trackCopiedEdge, trackCopiedNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Dot2ZestGraphCopier

public Dot2ZestGraphCopier()

### Dot2ZestGraphCopier

public Dot2ZestGraphCopier(Dot2ZestAttributesConverter dot2ZestAttributesConverter)

## Method Details

### getAttributeCopier

public Dot2ZestAttributesConverter getAttributeCopier()

Overrides:
  `getAttributeCopier` in class `org.eclipse.gef.graph.GraphCopier`

### copy

public org.eclipse.gef.graph.Graph copy(org.eclipse.gef.graph.Graph dotGraph)

Overrides:
  `copy` in class `org.eclipse.gef.graph.GraphCopier`

### processZestNode

protected void processZestNode(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)

### processNestedGraph

protected void processNestedGraph(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)

### processCluster

protected void processCluster(org.eclipse.gef.graph.Node dotNode, org.eclipse.gef.graph.Node zestNode)

### processSubgraph

protected void processSubgraph(org.eclipse.gef.graph.Node zestNode, org.eclipse.gef.graph.Graph zestGraph, List<org.eclipse.gef.graph.Node> zestNodeReplacements)

### getDotNode

protected org.eclipse.gef.graph.Node getDotNode(org.eclipse.gef.graph.Node zestNode)